<?php
/*
 *	last modified---
 *		06-30-11/kbw/ add $digits parameter
 *		09-04-09/kbw/ change to use a function
 *		08-27-09/kbw/ new
 *
 *	purpose---
 *		display a secret hex value as a graphical string
 */

header("Content-type: image/jpeg");
$secret = $_GET['secret'];
$digits = $_GET['digits'];
$img = genSecretImage($secret, $digits);
imagejpeg($img);
imagedestroy($img);

function genSecretImage($sec, $digits) {
	// set up the image
	$img_secret = imagecreate(19*$digits, 30);
	$white = imagecolorallocate($img_secret, 255, 255, 255);
	$black = imagecolorallocate($img_secret, 0, 0, 0);
	$grey_shade = imagecolorallocate($img_secret, 204, 204, 204);
	imagefill($img_secret, 0, 0, $grey_shade);

	// draw the individual hex digits with some random displacements
	for ($i = 0; $i < $digits; $i++) {
		Imagestring($img_secret,
						5,
						10 + 17 * $i + mt_rand(0, 2),
						1 + mt_rand(0, 10),
						substr($sec, $i, 1),
						$black);
	}
	return $img_secret;
}
?>
